<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-preferences-heading" jhiTranslate="twentyOnePointsApp.preferences.home.createOrEditLabel">Create or edit a Preferences</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.preferences.weeklyGoal" for="field_weeklyGoal">Weekly Goal</label>
                    <input type="number" class="form-control" name="weeklyGoal" id="field_weeklyGoal"
                           formControlName="weeklyGoal"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.preferences.weeklyUnits" for="field_weeklyUnits">Weekly Units</label>
                    <input type="number" class="form-control" name="weeklyUnits" id="field_weeklyUnits"
                           formControlName="weeklyUnits"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="twentyOnePointsApp.preferences.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" formControlName="user">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="userOption.id === editForm.get('user')!.value?.id ? editForm.get('user')!.value : userOption" *ngFor="let userOption of users; trackBy: trackById">{{ userOption.login }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
